# $Revision: 1.16 $, $Date: 2001/11/26 00:08:33 $
Summary:	TicTacToe for WindowMaker
Summary(pl):	Kko i Krzyyk dla WindowMakera
Name:		wmtictactoe
Version:	1.1.1
Release:	3
License:	GPL
Group:		X11/Window Managers/Tools
Group(de):	X11/Fenstermanager/Werkzeuge
Group(pl):	X11/Zarzdcy Okien/Narzdzia
Source0:	http://atlas.ucpel.tche.br/~acamargo/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-home_etc.patch
URL:		http://atlas.ucpel.tche.br/~acamargo/wmtictactoe.html
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_prefix		/usr/X11R6

%description
wmTicTacToe is a dock application game for Window Maker.

%description -l pl
wmTicTacToe jest gr w Kko i Krzyyk, przeznaczon dla Doku
WindowMakera.

%prep
%setup -q -n %{name}.app
%patch0 -p0
%patch1 -p1

%build
%{__make} -C %{name} CFLAGS="%{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_applnkdir}/DockApplets}

install %{name}/%{name} $RPM_BUILD_ROOT%{_bindir}
#install %{SOURCE1}	$RPM_BUILD_ROOT%{_applnkdir}/DockApplets

gzip -9nf CHANGES README TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/%{name}
#%{_applnkdir}/DockApplets/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wmtictactoe.spec,v $
Revision 1.16  2001/11/26 00:08:33  blues
- release 3
- URL added
- desktop is out
- fixes in files

Revision 1.15  2001/05/03 01:14:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.14  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.13  2000/06/09 07:24:04  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.10  2000/02/08 16:40:25  pius
- added support for $CONFIG_DIR/wmtictactoe
- cosmetics
- release 2

Revision 1.9  1999/10/20 19:51:57  pius
- fixed location of desktop files

Revision 1.8  1999/10/14 19:47:06  pius
- updated to 1.1.1
- cosmetics

Revision 1.7  1999/09/04 09:44:01  pius
- cosmetics

Revision 1.6  1999/09/04 08:48:47  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.5  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.4  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Jul 8 1999 Piotr Czerwiski <pius@pld.org.pl> 
  [1.0-2]
- added wmtictactoe.desktop file,
- fixed Makefile (wmtictactoe-makefile.patch),
- minor changes.

* Tue May 25 1999 Piotr Czerwiski <pius@pld.org.pl> 
  [1.0-1]
- initial RPM release.
